﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Spawner : MonoBehaviour
{
    public GameObject[] SpawnedThingPrefabs;
    public float MinSpawnTime;
    public float MaxSpawnTime;

    private float _timer;

    private Transform _transform;
    
    private void Start()
    {
        _transform = transform;
    }
    
    void Update()
    {
        _timer -= Time.deltaTime;
        if (_timer <= 0)
        {
            Instantiate(SpawnedThingPrefabs[Random.Range(0, SpawnedThingPrefabs.Length)], _transform.position, _transform.rotation);
            _timer = Random.Range(MinSpawnTime, MaxSpawnTime);
        }
    }
}
